## org.hibernate.internal.jaxb.cfg
Class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty

Enclosing class:
  JaxbHibernateConfiguration.JaxbSessionFactory

    public static class JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected String` `name`
`protected String` `value`

Constructor Summary
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty()`

Method Summary
`String` `getName()` Gets the value of the name property.
`String` `getValue()` Gets the value of the value property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected String value

### name

    protected String name

Constructor Detail

### JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.